/*
 * shohaku
 * Copyright (C) 2005  tomoya nagatani
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package shohaku.core.util.cel;

/**
 * 合成式言語 <code>CEL(Composite CELExpression Language)</code> の「式」の返却値を提供します。
 */
public class CELReturnValue {

    /** 返却値。 */
    public final Object value;

    /** 次の式の開始位置（文字列の終端の場合も有り得る）。 */
    public final int nextIndex;

    /**
     * 値を格納して初期化します。
     * 
     * @param value
     *            返却値
     * @param nextIndex
     *            次の式の開始位置
     */
    public CELReturnValue(Object value, int nextIndex) {
        this.value = value;
        this.nextIndex = nextIndex;
    }
}